<?php

namespace App\Models;

use App\Models\Scopes\ModelScopes;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Validator;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class TicketCategory extends Model
{
    use ModelScopes;
    use HasFactory;

    protected $table = 'ticket_categories';

    protected $fillable = [
        'user_id',
        'category',
        'status',
    ];
    public function validate($input = [])
    {
        $validate = Validator::make($input, [
            'category' => 'required',
        ]);

        return $validate;
    }
}
